org.apache.flume.sink

## Class AbstractSinkProcessor

- java.lang.Object
- - org.apache.flume.sink.AbstractSinkProcessor

- All Implemented Interfaces:
    Configurable, LifecycleAware, SinkProcessor
  Direct Known Subclasses:
    FailoverSinkProcessor, LoadBalancingSinkProcessor

      public abstract class AbstractSinkProcessor
      extends Object
      implements SinkProcessor

  A convenience base class for sink processors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSinkProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LifecycleState` | `getLifecycleState()` Return the current state of the service or component.
    `protected List<Sink>` | `getSinks()`
    `void` | `setSinks(List<Sink> sinks)` Set all sinks to work with.
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.SinkProcessor

      `process`

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

- - ### Constructor Detail

    - #### AbstractSinkProcessor

          public AbstractSinkProcessor()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`

    - #### getLifecycleState

          public LifecycleState getLifecycleState()

      Description copied from interface: `LifecycleAware`

      Return the current state of the service or component.

      Specified by:
        `getLifecycleState` in interface `LifecycleAware`

    - #### setSinks

          public void setSinks(List<Sink> sinks)

      Description copied from interface: `SinkProcessor`

      Set all sinks to work with.

      Sink specific parameters are passed to the processor via configure

      Specified by:
        `setSinks` in interface `SinkProcessor`
      Parameters:
        `sinks` - A non-null, non-empty list of sinks to be chosen from by the processor

    - #### getSinks

          protected List<Sink> getSinks()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.